From dbd97f43a5bacf40424a986556e553267b0afdb2 Mon Sep 17 00:00:00 2001
From: Pierre-Louis Bossart <pierre-louis.bossart@intel.com>
Date: Thu, 27 Jan 2011 23:17:43 -0600
Subject: [PATCH] ucm: make verb comments optional

avoid seg fault if no comment is provided

Signed-off-by: Pierre-Louis Bossart <pierre-louis.bossart@intel.com>
---
 src/ucm/parser.c |   11 ++++++++---
 1 files changed, 8 insertions(+), 3 deletions(-)

diff --git a/src/ucm/parser.c b/src/ucm/parser.c
index f3a75e6..560c224 100644
--- a/src/ucm/parser.c
+++ b/src/ucm/parser.c
@@ -777,12 +777,17 @@ static int parse_verb_file(snd_use_case_mgr_t *uc_mgr,
 	INIT_LIST_HEAD(&verb->modifier_list);
 	INIT_LIST_HEAD(&verb->value_list);
 	list_add_tail(&verb->list, &uc_mgr->verb_list);
+        if (use_case_name == NULL )
+                return -EINVAL;
 	verb->name = strdup(use_case_name);
 	if (verb->name == NULL)
 		return -ENOMEM;
-	verb->comment = strdup(comment);
-	if (verb->comment == NULL)
-		return -ENOMEM;
+
+        if (comment != NULL) {
+                verb->comment = strdup(comment);
+                if (verb->comment == NULL)
+                        return -ENOMEM;
+        }
 
 	/* open Verb file for reading */
 	snprintf(filename, sizeof(filename), "%s/%s/%s",
-- 
1.7.3.2

